Skip to Content
API ReferenceScenarioPOST /image_upload

POST /scenario/image_upload

Upload Image

Upload an image for later use in scenarios (soft/accept dormant flow).

Parameters

NameInRequiredDescription
namequeryNo—
descriptionqueryNo—

Request Body

FieldTypeRequiredDescription
filestringNo—
idempotency_keystringNo—
softbooleanNo—
acceptbooleanNo—

Response (ImageUploadScenarioApiResponse)

FieldTypeRequiredDescription
image_idstringYesUUID of the created images_resource
upload_idstringYesUUID of the uploads_entry (file on disk)
idempotency_keystringNoServer-minted soft-call key; echo with accept to promote/reject the staged upload.
Last updated on